# Uses of Interface
org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranch

Packages that use InternalCDOBranch
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOBranch in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return InternalCDOBranch
Modifier and Type
Method
Description
`InternalCDOBranch`
CDOServerImporter.Handler.`handleBranch(int id, String name, long time, int parentID)`

## Uses of InternalCDOBranch in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch that return InternalCDOBranch
Modifier and Type
Method
Description
`InternalCDOBranch`
InternalCDOBranch.`createBranch(String name)`
`InternalCDOBranch`
InternalCDOBranch.`createBranch(String name, long timeStamp)`
`InternalCDOBranch`
InternalCDOBranchManager.`createBranch(int id, String name, InternalCDOBranch baseBranch, long baseTimeStamp)`
`InternalCDOBranch`
InternalCDOBranch.`getBranch(String path)`
`InternalCDOBranch`
InternalCDOBranchManager.`getBranch(int branchID)`
`InternalCDOBranch`
InternalCDOBranchManager.`getBranch(int id, String name, InternalCDOBranch baseBranch, long baseTimeStamp)`
`InternalCDOBranch`
InternalCDOBranchManager.`getBranch(int id, InternalCDOBranchManager.BranchLoader.BranchInfo branchInfo)`
`InternalCDOBranch`
InternalCDOBranchManager.`getBranch(String path)`
`InternalCDOBranch[]`
InternalCDOBranch.`getBranches()`
`InternalCDOBranch[]`
InternalCDOBranch.`getBranches(boolean loadOnDemand)`
`InternalCDOBranch`
InternalCDOBranchManager.`getMainBranch()`
Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type InternalCDOBranch
Modifier and Type
Method
Description
`void`
InternalCDOBranch.`addChild(InternalCDOBranch branch)`
`InternalCDOBranch`
InternalCDOBranchManager.`createBranch(int id, String name, InternalCDOBranch baseBranch, long baseTimeStamp)`
`InternalCDOBranch`
InternalCDOBranchManager.`getBranch(int id, String name, InternalCDOBranch baseBranch, long baseTimeStamp)`
`void`
InternalCDOBranchManager.`handleBranchChanged(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
Deprecated.
As of 4.15 use `InternalCDOBranchManager.handleBranchChanged(InternalCDOBranch, ChangeKind, int...)`.
`void`
InternalCDOBranchManager.`handleBranchChanged(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind, int... branchIDs)`
`void`
InternalCDOBranchManager.`handleBranchCreated(InternalCDOBranch branch)`
Deprecated.
As of 4.3 use `InternalCDOBranchManager.handleBranchChanged(InternalCDOBranch, ChangeKind)`.
`void`
InternalCDOBranch.`removeChild(InternalCDOBranch branch)`
`void`
InternalCDOBranch.`setBranchInfo(String name, InternalCDOBranch baseBranch, long baseTimeStamp)`

## Uses of InternalCDOBranch in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDOBranch
Modifier and Type
Method
Description
`InternalCDOBranch`
BaseCDORevision.`getBranch()`
`InternalCDOBranch`
DelegatingCDORevision.`getBranch()`
`InternalCDOBranch`
InternalCDORevision.`getBranch()`
`InternalCDOBranch`
StubCDORevision.`getBranch()`
`InternalCDOBranch`
SyntheticCDORevision.`getBranch()`

## Uses of InternalCDOBranch in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalCDOBranch
Modifier and Type
Method
Description
`void`
InternalSession.`sendBranchNotification(InternalCDOBranch branch)`
Deprecated.
As of 4.3 use `InternalSession.sendBranchNotification(InternalCDOBranch, ChangeKind)`.
`void`
InternalSession.`sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
Deprecated.
As of 4.15 use `InternalSession.sendBranchNotification(ChangeKind, CDOBranch...)`.
`void`
InternalSessionManager.`sendBranchNotification(InternalSession sender, InternalCDOBranch branch)`
Deprecated.
As of 4.3 use `InternalSessionManager.sendBranchNotification(InternalSession, InternalCDOBranch, ChangeKind)`.
`void`
InternalSessionManager.`sendBranchNotification(InternalSession sender, InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
Deprecated.
As of 4.15 use `InternalSessionManager.sendBranchNotification(InternalSession, ChangeKind, CDOBranch...)`.
`void`
ISessionProtocol.`sendBranchNotification(InternalCDOBranch branch)`
Deprecated.
As of 4.3 use `ISessionProtocol.sendBranchNotification(InternalCDOBranch, ChangeKind)`.
`void`
ISessionProtocol.`sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
Deprecated.
As of 4.15 use `ISessionProtocol.sendBranchNotification(ChangeKind, CDOBranch...)`.

## Uses of InternalCDOBranch in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOBranch
Modifier and Type
Method
Description
`void`
InternalCDOSession.`handleBranchNotification(InternalCDOBranch branch)`
Deprecated.
As of 4.3 no longer supported.